;---------------------------------------------------------------------------------------------;
;
; example 1b (modified example 1)
; bare metal programming - system startup
;
; this version runs on systems with 4MB ROM & 8MB RAM
;
; 25/10/2020 steve crompton
;
;---------------------------------------------------------------------------------------------;

ram_start           EQU $000000
rom_start           EQU $C00000
hex_display         EQU $AB0000

    ORG     rom_start

    DC.L    ram_start+$1000         ;reset: initial ssp
    DC.L    cold_boot               ;reset: initial pc

code:

    ORG     rom_start+$400

cold_boot:

    move.l #$12340000,d0            ;put "12340000" on the hex display
    move.l d0,hex_display           ;to indicate program start

;wait

    move.l #$100000,d1

delay:

    sub.l #1,d1
    bne.s delay

;wait end

    move.l #$00005678,d0            ;put "00005678" on the hex display
    move.l d0,hex_display           ;to indicate program end

forever:

    bra forever                     ;wait for reset button to be pressed

    END    code


*~Font name~Courier New~
*~Font size~10~
*~Tab type~1~
*~Tab size~4~
